| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Direct Test Mode HW
BLE libraries

Module contains hardware related function for testing RF/PHY using DTM commands. More...

## Functions
bool | dtm_hw_set_timer (NRF_TIMER_Type **mp_timer, IRQn_Type *m_timer_irq, uint32_t new_timer)
| Function for selecting a timer resource. This function may be called directly, or through dtm_cmd() specifying DTM_PKT_VENDORSPECIFIC as payload, SELECT_TIMER as length, and the timer as freq. More...
void | dtm_turn_off_test (void)
| Function for turning off radio test. This function is platform depending. For now only nRF51 requieres this special function.
void | dtm_constant_carrier (void)
| Function for setting constant carrier in radio settings. This function is used to handle vendor specific command testing continous carrier without a modulated signal.
uint32_t | dtm_radio_validate (int32_t m_tx_power, uint8_t m_radio_mode)
| Function for validating tx power and radio move settings. More...

## Detailed Description

Module contains hardware related function for testing RF/PHY using DTM commands.

## Function Documentation

bool dtm_hw_set_timer | ( | NRF_TIMER_Type ** | mp_timer,
|  | IRQn_Type * | m_timer_irq,
|  | uint32_t | new_timer
| ) |  |

Function for selecting a timer resource. This function may be called directly, or through dtm_cmd() specifying DTM_PKT_VENDORSPECIFIC as payload, SELECT_TIMER as length, and the timer as freq.

Parameters

  [out] | mp_timer | Pointer to timer instance used in dtm source file.
  [out] | m_timer_irq | Pointer to timer interrupt related to mp_timer.
  [in] | new_timer | Timer id for the timer to use.

Return values

  true | if the timer was successfully changed.
  false | if the error occurs.

uint32_t dtm_radio_validate | ( | int32_t | m_tx_power,
|  | uint8_t | m_radio_mode
| ) |  |

Function for validating tx power and radio move settings.

Parameters

  [in] | m_tx_power | TX power for transmission test.
  [in] | m_radio_mode | Radio mode value.

Return values

  DTM_SUCCESS | if input parameters values are correct.
  DTM_ERROR_ILLEGAL_CONFIGURATION | if input parameters values are not correct.